close all
[bvp,info]=fc_vfemp1.samples.setBVPStationaryConvectionDiffusion3D01(15,'verbose',1);

fprintf('3. Solving 3D stationary convection-diffusion BVP\n')
U=bvp.solve(); 

fprintf('4. Graphic representations\n');
options=fc_tools.graphics.DisplayFigures('nfig',5);
isOctave=fc_tools.comp.isOctave();

Th=bvp.Th;
figure(1)
Th.plotmesh('legend',true)
set(legend(),options.legend{:})
hold on,axis image
Th.plotmesh('d',1,'Linewidth',2,'Color','k')
title(sprintf('nq=%d, nme=%d',Th.nq,Th.get_nme()),options.title{:});
set(gca,options.axes{:})
%options={'interpreter','latex','fontsize',10};

figure(2)
Th.plotmesh('d',2,'legend',true)
set(legend(),options.legend{:})
axis off,axis image

figure(3)
Th.plotmesh('d',2,'legend',true,'labels',[10,20,21,100,101])
set(legend(),options.legend{:})
axis off,axis image

figure(4);
P=fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 1]);
Th.slice(U,P, 'FaceColor','interp', 'EdgeColor','none')
axis off,axis image,hold on
Th.plot(U,'d',2,'labels',[100,101], 'FaceColor','interp', 'EdgeColor','none')
caxis([min(U),max(U)])
isorange=linspace(min(U),max(U),10);
Th.plot(U,'d',2,'labels',[10,20,21], 'FaceColor','none', 'EdgeColor','interp')
Th.plotiso(U,'labels',[100,101], 'isorange',isorange, 'color','w')
Th.sliceiso(U,P,'isorange',isorange, 'color','w')
view(-114,11)
set(colorbar(),options.colorbar{:})


figure(5)
P1=fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]);
Th.slice(U,P1, 'FaceColor','interp', 'EdgeColor','none')
hold on
P2=fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]);
Th.slice(U,P2, 'FaceColor','interp', 'EdgeColor','none')
P3=fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1]);
Th.slice(U,P3, 'FaceColor','interp', 'EdgeColor','none')
Th.sliceiso(U,P3,'isorange',isorange, 'color','w')
Th.plot(U,'d',2,'labels',[100,101], 'FaceColor','interp')
Th.plot(U,'d',2,'labels',[10,20,21], 'FaceColor','none', 'EdgeColor','interp')
caxis([min(U),max(U)])
Th.plotmesh('d',1, 'Color','k', 'Linewidth',1.5)
axis off,axis image
set(colorbar(),options.colorbar{:})
